<?xml version="1.0"?>
<cfsSimulation xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xmlns="http://www.cfs++.org/simulation">
<fileFormats>
	<input>
		<cdb fileName="detailed.cdb"/>
	</input>
	<output>
		<hdf5/>
	</output>
	<materialData file="mat.xml" format="xml"/>
</fileFormats>

<domain printGridInfo="yes" geometryType="3d">
	<variableList>
		<var name="freq" value="1"/>
		<var name="i" value="1"/>
		<var name="A" value="1"/>
		<var name="n" value="5"/>
	</variableList>
	<regionList>
		<region name="V_air" material="air"/>
		<region name="V_coil" material="copper"/>
	</regionList>	
	<coordSysList>
		<cylindric id="cyl">
			<origin x="0.0" y="0.0" z="0.0"/>
			<zAxis x="0.0" y="1" z="0.0"/>
			<rAxis x="1" y="0.0" z="0.0"/>
		</cylindric>
	</coordSysList>
</domain>

<fePolynomialList>
	<Legendre>
		<isoOrder>2</isoOrder>
	</Legendre>
</fePolynomialList>
  

<sequenceStep index="1">
	<analysis>
		<static/>
	</analysis>
	<pdeList>
		<elecConduction>
			<regionList>
				<region name="V_coil"/>
			</regionList>
			<bcsAndLoads>
				<normalCurrentDensity name="S_Coil_in">
					<comp dof="z" value="-1"/>
				</normalCurrentDensity>
				<ground name="S_Coil_out"></ground>
			</bcsAndLoads>
			<storeResults>
			<nodeResult type="elecPotential">
				<allRegions/>
			</nodeResult>
			<elemResult type="elecCurrentDensity">
				<allRegions/>
			</elemResult>
			<elemResult type="elecFieldIntensity">
				<allRegions/>
			</elemResult>
			<regionResult type="elecGradVInt">
				<allRegions/>
			</regionResult>
			</storeResults>
		</elecConduction>
	</pdeList>
</sequenceStep>

<sequenceStep index="2">
	<analysis>
		<harmonic>
			<frequencyList>
				<freq value="freq"/>
			</frequencyList>
		</harmonic>
	</analysis>
	<pdeList>
		<magneticEdge formulation="specialA-V">
			<regionList>
				<region name="V_coil"/>
				<region name="V_air"/>
			</regionList>
			<bcsAndLoads>
				<fluxParallel name="S_x+"/>
				<fluxParallel name="S_x-"/>
				<fluxParallel name="S_y+"/>
				<fluxParallel name="S_y-"/>
				<fluxParallel name="S_z+"/>
				<fluxParallel name="S_z-"/>
				<fluxParallel name="S_Coil_in"/>
				<fluxParallel name="S_Coil_out"/>
			</bcsAndLoads>
			
		  <coilList>
            <coil id="coil1">
              <source type="specialcurrent" value="i"/>
              <part id="c1">
                <regionList>
                  <region name="V_coil"/>
                </regionList>
                <direction>
                  <external normalise="no">
                   <sequenceStep index="1">
                    <quantity name="elecCurrentDensity" pdeName="elecConduction"/>
                    <timeFreqMapping>
                      <constant/>
                    </timeFreqMapping>
                   </sequenceStep>
                  </external>  
                </direction>
                <gradV_in_gradV>
                  <external>
                    <sequenceStep index="1">
                      <quantity name="elecGradVInt" pdeName="elecConduction"/>
                      <timeFreqMapping>
                        <constant/>
                      </timeFreqMapping>
                    </sequenceStep>
                  </external>
                </gradV_in_gradV>
                <wireCrossSection area="1"/>
              </part>
            </coil>
          </coilList>
			
<!-- 			<coilList> -->
<!-- 				<coil id="id1"> -->
<!-- 				<source type="current" /> -->
<!-- 					<part id="1"> -->
<!-- 						<regionList> -->
<!-- 							<region name="V_coil"/> -->
<!-- 						</regionList> -->
<!-- 						<direction> -->
<!-- 							<analytic coordSysId="cyl"> -->
<!-- 								<comp dof="phi" value="1"/> -->
<!-- 							</analytic> -->
<!-- 							<external> -->
<!-- 								<sequenceStep index="1"> -->
<!-- 									<quantity name="elecCurrentDensity" pdeName="elecConduction"/> -->
<!-- 									<timeFreqMapping> -->
<!-- 										<constant/> -->
<!-- 									</timeFreqMapping> -->
<!-- 								</sequenceStep> -->
<!-- 							</external> -->
<!-- 						</direction> -->
<!-- 						<wireCrossSection area="1"/> -->
<!-- 					</part> -->
<!-- 				</coil> -->
<!-- 			</coilList> -->
			<storeResults>
				<elemResult type="magPotential" complexFormat="realImag">
					<allRegions/>
				</elemResult>
				<elemResult type="magFluxDensity" complexFormat="realImag">
					<allRegions/>
				</elemResult>
				<elemResult type="magFieldIntensity" complexFormat="realImag">
					<allRegions/>
				</elemResult>
				<elemResult type="magTotalCurrentDensity" complexFormat="realImag">
					<allRegions/>
				</elemResult>
				<elemResult type="magCoilCurrentDensity" complexFormat="realImag">
					<allRegions/>
				</elemResult>
				<elemResult type="magEddyCurrentDensity" complexFormat="realImag"> 
					<allRegions/>
				</elemResult>
				<elemResult type="magJouleLossPowerDensity" complexFormat="realImag">
					<allRegions/>
				</elemResult>
				<elemResult type="elecFieldIntensity" complexFormat="realImag">
					<allRegions/>
				</elemResult>
				<elemResult type="magJouleLossPowerDensity">
					<allRegions/>
				</elemResult>
			</storeResults>
		</magneticEdge>
	</pdeList>
</sequenceStep>
</cfsSimulation>

